org.apache.lucene.analysis.cn

## Class ChineseFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.cn.ChineseFilterFactory

Deprecated.
Use `StopFilterFactory` instead.

    @Deprecated
    public class ChineseFilterFactory
    extends TokenFilterFactory

Factory for `ChineseFilter`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`ChineseFilterFactory()` Deprecated.

### Method Summary

Methods
`ChineseFilter` `create(TokenStream in)` Deprecated. Transform the specified input TokenStream

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChineseFilterFactory

    public ChineseFilterFactory()

Deprecated.

### Method Detail

#### create

    public ChineseFilter create(TokenStream in)

Deprecated.
Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`